Package org.springframework.aop.framework.adapter

# Class GlobalAdvisorAdapterRegistry

java.lang.Object
org.springframework.aop.framework.adapter.GlobalAdvisorAdapterRegistry

public final class GlobalAdvisorAdapterRegistry extends Object
Singleton to publish a shared DefaultAdvisorAdapterRegistry instance.

Author:
  Rod Johnson, Juergen Hoeller, Phillip Webb
See Also:
  - `DefaultAdvisorAdapterRegistry`

## Method Summary

Modifier and Type
Method
Description
`static AdvisorAdapterRegistry`
`getInstance()`
Return the singleton `DefaultAdvisorAdapterRegistry` instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static AdvisorAdapterRegistry getInstance()
Return the singleton `DefaultAdvisorAdapterRegistry` instance.